import { RecordVisitor } from "../proxy/RecordVisitor";
/**
 *
 */
export class BriefcaseVisitor extends RecordVisitor {
    constructor(value) {
        super(value);
    }
    // --- State Management Helpers --- //
    static visitAndSetOnline(jsonObject, online) {
        return (new BriefcaseVisitor(jsonObject)).visitAndSetOnline(online);
    }
    // --- State Management --- //
    visitOnline() {
        return this.visitPropertyValueAt(BriefcaseVisitor.ONLINE_PROPERTY_NAME);
    }
    visitAndSetOnline(onlineValue) {
        this.visitAndSetPropertyValueAt(BriefcaseVisitor.ONLINE_PROPERTY_NAME, onlineValue);
    }
}
BriefcaseVisitor.ONLINE_PROPERTY_NAME = 'online';
